---
updatedAt: 2026-05-13T09:04:03.000Z
---

# Get conversation IDs by Care author and day

Get IDs for conversations associated with the specified author by unique Care author ID for a 24-hour period

## Details

Returns IDs for conversations associated with the specified author by unique Caere author ID for a 24-hour period. The call returns new conversations and conversations with specific modifications. All conversations returned will be associated with the same Person.

Specify the time period with `startEpochMillis` and `endEpochMillis`. The maximum range allowed is 24 hours. If the duration specified is more than 24 hours, only 24 hours worth of changed data is returned. If you omit either `startEpochMillis` or `endEpochMillis`, the API sets the range so that the call retrieves 24 hours worth of data. If no duration is specified (neither `startEpochMillis` nor `endEpochMillis` is passed), all author conversations for the specified author are returned.

[block:callout]
{
  "type": "success",
  "title": "Tip",
  "body": "For best results, use this call for data created after June 30, 2014."
}
[/block]

# Related endpoints

| Action | Endpoint                                                                                                                                                                                                                                                                                                                                      |
| ------ | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| GET    | [/authors/networks/{networktype}/ids/{networkid}/conversations](https://developer.khoros.com/khoroscaredevdocs/reference/authorsnetworksnetworktypeidsnetworkidconversations)<br />Get IDs for conversations associated with the specified author by source network ID for a 24-hour period                                                                                                        |
| GET    | [/authors/networks/{networktype}/instances/{networkinstance}/ids/{networkid}/conversations](https://developer.khoros.com/khoroscaredevdocs/reference/authorsnetworksnetworktypeinstancesnetworkinstanceidsnetworkidconversations)<br />Get the IDs for conversations associated with the specified author by source network ID for a 24-hour period                                                |
| GET    | [/authors/networks/{networktype}/handles/{networkhandle}/conversations](https://developer.khoros.com/khoroscaredevdocs/reference/authorsnetworksnetworktypehandlesnetworkhandleconversations)<br />Get the IDs for conversations associated with the specified author by the `networkhandle` passed in for the specified source network                                                            |
| GET    | [/authors/networks/{networktype}/instances/{networkinstance}/handles/{networkhandle}/conversations](https://developer.khoros.com/khoroscaredevdocs/reference/authorsnetworksnetworktypeinstancesnetworkinstancehandlesnetworkhandleconversations)<br />Get the IDs for conversations associated with the specified author by the `networkhandle` passed in for the specified instance of a network |

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "author-api-v2",
    "version": "1.1"
  },
  "servers": [
    {
      "url": "https://{instance}.response.lithium.com/api/v2/authors",
      "variables": {
        "instance": {
          "default": "instance"
        }
      }
    }
  ],
  "security": [
    {}
  ],
  "paths": {
    "/{lswUuid}/conversations": {
      "get": {
        "summary": "Get conversation IDs by Care author and day",
        "description": "Get IDs for conversations associated with the specified author by unique Care author ID for a 24-hour period",
        "operationId": "authors_lswuuid_conversations",
        "parameters": [
          {
            "name": "startEpochMillis",
            "in": "query",
            "description": "The start time of the query period specified as milliseconds since the UNIX Epoch",
            "schema": {
              "type": "integer",
              "format": "int32"
            }
          },
          {
            "name": "endEpochMillis",
            "in": "query",
            "description": "The end of of the query period specified as milliseconds since the UNIX Epoch",
            "schema": {
              "type": "integer",
              "format": "int32"
            }
          },
          {
            "name": "lswUuid",
            "in": "path",
            "description": "The unique Care author ID",
            "schema": {
              "type": "string"
            },
            "required": true
          }
        ],
        "responses": {
          "200": {
            "description": "200",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{\n    \"status\": \"success\",\n    \"data\": [\n        \"c2b2bd52-368e-4bf5-af68-d1fbd852053d\",\n        \"29cf6f90-5001-4650-ad29-4756ccfb9252\"\n    ]\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "status": {
                      "type": "string",
                      "example": "success"
                    },
                    "data": {
                      "type": "array",
                      "items": {
                        "type": "string",
                        "example": "c2b2bd52-368e-4bf5-af68-d1fbd852053d"
                      }
                    }
                  }
                }
              }
            }
          },
          "400": {
            "description": "400",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {}
                }
              }
            }
          }
        },
        "deprecated": false,
        "security": [],
        "x-readme": {
          "code-samples": [
            {
              "language": "curl",
              "code": "curl -L -u [USERNAME]:[PASSWORD] 'https://your_social_response_instance.lithium.com/api/v2/authors/129381ed-4e24-4757-a4ba-81bfc881468d/conversations?startEpochMillis=1550230533000&endEpochMillis=1550273593000'"
            }
          ],
          "samples-languages": [
            "curl"
          ]
        }
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": false,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true
}
```